Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf
Class RtfElement

    java.lang.Object
      com.lowagie.text.rtf.RtfElement

All Implemented Interfaces:
  RtfBasicElement, RtfElementInterface

Direct Known Subclasses:
  RtfAnnotation, RtfBorder, RtfBorderGroup, RtfChunk, RtfCodePage, RtfColor, RtfColorList, RtfDocument, RtfDocumentHeader, RtfFontList, RtfGenerator, RtfImage, RtfInfoElement, RtfInfoGroup, RtfList, RtfListLevel, RtfListTable, RtfNewPage, RtfPageSetting, RtfPhrase, RtfPictureList, RtfProtectionSetting, RtfRow, RtfSection, RtfStylesheetList, RtfTable

    public abstract class RtfElement

extends java.lang.Object
implements RtfBasicElement

RtfElement is the base class for all RTF Element classes

Version:
  $Id:RtfElement.java 3126 2008-02-07 20:30:46Z hallm $
Author:
  Mark Hall (Mark.Hall@mail.room3b.eu), Thomas Bickel (tmb99@inode.at)

Field Summary
`protected RtfDocument` | `document` The RtfDocument this RtfElement belongs to
`protected boolean` | `inHeader` Whether this RtfElement is in a header
`protected boolean` | `inTable` Whether this RtfElement is in a table

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`RtfElement(RtfDocument doc)` Constructs a RtfElement belonging to the specified RtfDocument.

Method Summary
`byte[]` | `intToByteArray(int i)` Transforms an integer into its String representation and then returns the bytes of that string.
`boolean` | `isInTable()` Gets whether this RtfElement is in a table
`void` | `setInHeader(boolean inHeader)` Sets whether this RtfElement is in a header
`void` | `setInTable(boolean inTable)` Sets whether this RtfElement is in a table
`void` | `setRtfDocument(RtfDocument doc)` Sets the RtfDocument this RtfElement belongs to
`abstract void` | `writeContent(java.io.OutputStream out)` Writes the element content to the given output stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### document

    protected RtfDocument document

  The RtfDocument this RtfElement belongs to

### inTable

    protected boolean inTable

  Whether this RtfElement is in a table

### inHeader

    protected boolean inHeader

  Whether this RtfElement is in a header

Constructor Detail

### RtfElement

    public RtfElement(RtfDocument doc)

  Constructs a RtfElement belonging to the specified RtfDocument.

  Parameters:
    `doc` - The RtfDocument this RtfElement belongs to

Method Detail

### intToByteArray

    public byte[] intToByteArray(int i)

  Transforms an integer into its String representation and then returns the bytes of that string.

  Parameters:
    `i` - The integer to convert
  Returns:
    A byte array representing the integer

### writeContent

    public abstract void writeContent(java.io.OutputStream out)
                               throws java.io.IOException

  Writes the element content to the given output stream.

  Specified by:
    `writeContent` in interface `RtfBasicElement`
  Parameters:
    `out` - The `OutputStream` to write the content to
  Throws:
    `java.io.IOException`

### setRtfDocument

    public void setRtfDocument(RtfDocument doc)

  Sets the RtfDocument this RtfElement belongs to

  Specified by:
    `setRtfDocument` in interface `RtfBasicElement`
  Parameters:
    `doc` - The RtfDocument to use

### isInTable

    public boolean isInTable()

  Gets whether this RtfElement is in a table

  Returns:
    Whether this RtfElement is in a table

### setInTable

    public void setInTable(boolean inTable)

  Sets whether this RtfElement is in a table

  Specified by:
    `setInTable` in interface `RtfBasicElement`
  Parameters:
    `inTable` - `True` if this RtfElement is in a table, `false` otherwise

### setInHeader

    public void setInHeader(boolean inHeader)

  Sets whether this RtfElement is in a header

  Specified by:
    `setInHeader` in interface `RtfBasicElement`
  Parameters:
    `inHeader` - `True` if this RtfElement is in a header, `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD